class RepresentationModel {
  List<RepresentationDetailModel> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  RepresentationModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  RepresentationModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<RepresentationDetailModel>();
      json['records'].forEach((v) {
        records.add(new RepresentationDetailModel.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class RepresentationDetailModel {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String content;
  String imgs;
  int statuz;
  int dataId;
  int appealerId;
  String cancelSeason;
  String expertName;
  String expression;
  String userName;
  int caseId;
  String sessionid;

  RepresentationDetailModel(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.content,
      this.imgs,
      this.statuz,
      this.dataId,
      this.appealerId,
      this.cancelSeason,
      this.expertName,
      this.expression,
      this.userName,
      this.caseId,
      this.sessionid});

  RepresentationDetailModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    content = json['content'];
    imgs = json['imgs'];
    statuz = json['statuz'];
    dataId = json['dataId'];
    appealerId = json['appealerId'];
    cancelSeason = json['cancelSeason'];
    expertName = json['expertName'];
    expression = json['expression'];
    userName = json['userName'];
    caseId = json['caseId'];
    sessionid = json['sessionid'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['content'] = this.content;
    data['imgs'] = this.imgs;
    data['statuz'] = this.statuz;
    data['dataId'] = this.dataId;
    data['appealerId'] = this.appealerId;
    data['cancelSeason'] = this.cancelSeason;
    data['expertName'] = this.expertName;
    data['expression'] = this.expression;
    data['userName'] = this.userName;
    data['caseId'] = this.caseId;
    data['sessionid'] = this.sessionid;
    return data;
  }
}
